<?php
session_start();
?>
<!DOCTYPE html>

<html>
        <head>
                <?php include("head.php"); ?>
        </head>

        <!-- Contenu du site -->
        <body>
                <?php 
                include("header.php");
                if(isset($_SESSION['Login'], $_SESSION['Password']))
                {
                        ?>
			<div class="row">
			        <div class="col-6 col-md-6 offset-md-3 offset-3">
                			<br/>
                			<h1 style="margin-bottom:20px; margin-top:60px; border-bottom:1px solid #CCC; padding-bottom:20px;"><i class="fas fa-history"></i> Ajout d'une Raspberry</h1>
					<?php
						if(addRpi($_POST['ip']))
					{
						?>
						<div class="alert alert-success" role="alert">
					     		La Raspberry a bien été ajouté !<br/>Vous devez maintenant suivre le protocole ci-dessous pour terminer l'installation.
						</div>
						<div class="alert alert-secondary" role="alert">
					     		<h2 style="margin-bottom:10px;"><i class="fas fa-clipboard-list"></i> Protocole</h2>
							<h3 style="margin-bottom:10px;">Branchement</h3>
							<p>
								Effectuez le branchement de votre Raspberry Pi au réseau à l'aide d'un câble RJ45.
							</p>
							<h3 style="margin-bottom:10px;">Connexion au réseau</h3>
							<p>
								Effectuez la commande : <code>nano /etc/resolv.conf</code><br/>
								Effacez le contenu du fichier et ajouter : <code>nameserver 193.48.57.48</code><br/>
								Effectuez la commande : <code>nano /etc/network/interfaces</code></br>
								Ajoutez à la fin du fichier le code suivant en remplaçant X par la fin de l'adresse IP que vous souhaitez donner à votre Raspberry Pi :<br/>
								<code>
									auto eth0<br/>
									iface eth0 inet static<br/>
									<span style="margin: 0 0 0 20px;">address 172.26.145.X</span><br/>
									<span style="margin: 0 0 0 20px;">netmask 255.255.255.0</span><br/>
									<span style="margin: 0 0 0 20px;">gateway 172.26.145.254</span><br/>
								</code><br/>
								Lancez la commande : <code>ifdown eth0</code><br/>
								Lancez la commande : <code>ifup eth0</code><br/>

							</p>
							<h3 style="margin-bottom:10px;">Connexion SSH</h3>
							<p>
								Sur votre Raspberry Pi, allez dans le menu Démarrer (Start) et aller jusqu’à « Raspberry Pi Configuration » via le bouton de menu « Preferences ».<br/>
								Sous l’onglet « Interfaces », vous trouverez, entre autres, l’entrée correspondante pour SSH, que vous pouvez activer.<br/>
								Confirmez le changement « OK ».
								
							</p>
							<h3 style="margin-bottom:10px;">Ajout à Ansible</h3>
							<p>
								Connectez-vous au serveur en entrant la commande :<br/>
								<code>ssh root@172.26.189.200</code><br/>
								Entrez le mot de passe root habituel.<br/>
								Effectuez la commande : <code>cd /var/www/html/P10/IMA3_P10/Ansible</code><br/>
								Effectuez la commande : <code>nano inventaire-rasp.ini</code><br/>
								Videz le fichier et ajoutez l'adresse IP de votre Raspberry Pi.<br/>
								Lancez la commande : <code>./setupRPI.sh</code><br/>
								Entrez le mode de passe de votre Raspberry Pi.<br/>
								Entrez la commande : <code>exit</code>
							</p>
						</div>
						<?php
					}
					else
					{
						?>
						<div class="alert alert-danger" role="alert">
					     		Echec lors de l'ajout. La Raspberry existe peut-être déjà !
						</div>
						<meta http-equiv="Refresh" content="3;url=gestionRaspberry.php" />
						<?php
					}
					?>
        			</div>
			</div>
			<?php
                }
                else
                {
                        include("formConnexion.php");
                }
                ?>
        </body>
</html>

